Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1271569 - No clean systemd boot in Fedora 22 docker container
Summary: No clean systemd boot in Fedora 22 docker container
Keywords:
Status: CLOSED EOL
Alias: None
Product: Atomic
Classification: Retired
Component: systemd
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-14 09:59 UTC by Pavel Raiskup
Modified: 2017-06-14 12:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-14 12:59:06 UTC
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

Description Pavel Raiskup 2015-10-14 09:59:23 UTC
Running this command on F23-x86_64 hangs:

docker run --rm -ti  -v /sys/fs/cgroup:/sys/fs/cgroup:ro fedora:22 /usr/sbin/init

But this might be bug 1192081.

Running with '-v /var' results in a lot of failures:

systemd 219 running in system mode. (+PAM +AUDIT +SELINUX +IMA -APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ -LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD +IDN)
Detected virtualization docker.
Detected architecture x86-64.
Running with unpopulated /etc.

Welcome to Fedora 22 (Twenty Two)!

Set hostname to <205478ac7173>.
Initializing machine ID from random generator.
Populated /etc with preset unit settings.
Running in a container, ignoring fstab device entry for /dev/disk/by-uuid/872ae83d-8ae9-488f-8927-0266665410ef.
Cannot add dependency job for unit dev-hugepages.mount, ignoring: Unit dev-hugepages.mount is masked.
Cannot add dependency job for unit systemd-remount-fs.service, ignoring: Unit systemd-remount-fs.service is masked.
Cannot add dependency job for unit sys-fs-fuse-connections.mount, ignoring: Unit sys-fs-fuse-connections.mount is masked.
Cannot add dependency job for unit systemd-logind.service, ignoring: Unit systemd-logind.service is masked.
Cannot add dependency job for unit getty.target, ignoring: Unit getty.target is masked.
Cannot add dependency job for unit display-manager.service, ignoring: Unit display-manager.service failed to load: No such file or directory.
[  OK  ] Reached target Remote File Systems.
[  OK  ] Created slice Root Slice.
systemd-journald-audit.socket failed to listen on sockets: Operation not permitted
[FAILED] Failed to listen on Journal Audit Socket.
See "systemctl status systemd-journald-audit.socket" for details.
Unit systemd-journald-audit.socket entered failed state.
[  OK  ] Listening on Journal Socket (/dev/log).
[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.
[  OK  ] Listening on Journal Socket.
[  OK  ] Created slice System Slice.
[  OK  ] Reached target Slices.
tmp.mount: Directory /tmp to mount over is not empty, mounting anyway.
         Mounting Temporary Directory...
         Starting Rebuild Dynamic Linker Cache...
         Starting First Boot Wizard...
         Starting Load/Save Random Seed...
[  OK  ] Listening on Delayed Shutdown Socket.
[  OK  ] Reached target Encrypted Volumes.
         Starting Journal Service...
[  OK  ] Reached target Paths.
         Starting Rebuild Hardware Database...
[  OK  ] Reached target Swap.
tmp.mount mount process exited, code=exited status=32
[FAILED] Failed to mount Temporary Directory.
See "systemctl status tmp.mount" for details.
Unit tmp.mount entered failed state.
[  OK  ] Started First Boot Wizard.
[  OK  ] Started Load/Save Random Seed.
         Starting Create System Users...
[  OK  ] Reached target Local File Systems.
         Starting Rebuild Journal Catalog...
systemd-journald.service: main process exited, code=exited, status=1/FAILURE
[FAILED] Failed to start Journal Service.
See "systemctl status systemd-journald.service" for details.
[DEPEND] Dependency failed for Flush Journal to Persistent Storage.
Job systemd-journal-flush.service/start failed with result 'dependency'.
Unit systemd-journald.service entered failed state.
systemd-journald.service failed.
[  OK  ] Started Create System Users.
systemd-journald.service has no holdoff time, scheduling restart.
[  OK  ] Stopped Flush Journal to Persistent Storage.
[  OK  ] Stopped Journal Service.
systemd-journald-audit.socket failed to listen on sockets: Operation not permitted
[FAILED] Failed to listen on Journal Audit Socket.
See "systemctl status systemd-journald-audit.socket" for details.
         Starting Journal Service...
systemd-journald.service: main process exited, code=exited, status=1/FAILURE
[FAILED] Failed to start Journal Service.
See "systemctl status systemd-journald.service" for details.
[DEPEND] Dependency failed for Flush Journal to Persistent Storage.
Job systemd-journal-flush.service/start failed with result 'dependency'.
Unit systemd-journald.service entered failed state.
systemd-journald.service failed.
systemd-journald.service has no holdoff time, scheduling restart.
[  OK  ] Stopped Flush Journal to Persistent Storage.
[  OK  ] Stopped Journal Service.
systemd-journald-audit.socket failed to listen on sockets: Operation not permitted
[FAILED] Failed to listen on Journal Audit Socket.
See "systemctl status systemd-journald-audit.socket" for details.
         Starting Journal Service...
[  OK  ] Started Rebuild Journal Catalog.
systemd-journald.service: main process exited, code=exited, status=1/FAILURE
[FAILED] Failed to start Journal Service.
See "systemctl status systemd-journald.service" for details.
[DEPEND] Dependency failed for Flush Journal to Persistent Storage.
Job systemd-journal-flush.service/start failed with result 'dependency'.
Unit systemd-journald.service entered failed state.
systemd-journald.service failed.
systemd-journald.service has no holdoff time, scheduling restart.
[  OK  ] Started Rebuild Dynamic Linker Cache.
[  OK  ] Stopped Flush Journal to Persistent Storage.
[  OK  ] Stopped Journal Service.
systemd-journald-audit.socket failed to listen on sockets: Operation not permitted
[FAILED] Failed to listen on Journal Audit Socket.
See "systemctl status systemd-journald-audit.socket" for details.
         Starting Journal Service...
systemd-journald.service: main process exited, code=exited, status=1/FAILURE
[FAILED] Failed to start Journal Service.
See "systemctl status systemd-journald.service" for details.
[DEPEND] Dependency failed for Flush Journal to Persistent Storage.
Job systemd-journal-flush.service/start failed with result 'dependency'.
Unit systemd-journald.service entered failed state.
systemd-journald.service failed.
systemd-journald.service has no holdoff time, scheduling restart.
[  OK  ] Stopped Flush Journal to Persistent Storage.
[  OK  ] Stopped Journal Service.
systemd-journald-audit.socket failed to listen on sockets: Operation not permitted
[FAILED] Failed to listen on Journal Audit Socket.
See "systemctl status systemd-journald-audit.socket" for details.
         Starting Journal Service...
systemd-journald.service: main process exited, code=exited, status=1/FAILURE
[FAILED] Failed to start Journal Service.
See "systemctl status systemd-journald.service" for details.
[DEPEND] Dependency failed for Flush Journal to Persistent Storage.
Job systemd-journal-flush.service/start failed with result 'dependency'.
Unit systemd-journald.service entered failed state.
systemd-journald.service failed.
systemd-journald.service has no holdoff time, scheduling restart.
[  OK  ] Stopped Flush Journal to Persistent Storage.
[  OK  ] Stopped Journal Service.
systemd-journald-audit.socket failed to listen on sockets: Operation not permitted
[FAILED] Failed to listen on Journal Audit Socket.
See "systemctl status systemd-journald-audit.socket" for details.
start request repeated too quickly for systemd-journald.service
[FAILED] Failed to start Journal Service.
See "systemctl status systemd-journald.service" for details.
[DEPEND] Dependency failed for Flush Journal to Persistent Storage.
Job systemd-journal-flush.service/start failed with result 'dependency'.
Unit systemd-journald.service entered failed state.
systemd-journald.service failed.
         Starting Create Volatile Files and Directories...
systemd-journald-audit.socket failed to listen on sockets: Operation not permitted
[FAILED] Failed to listen on Journal Audit Socket.
See "systemctl status systemd-journald-audit.socket" for details.
start request repeated too quickly for systemd-journald.service
[FAILED] Failed to start Journal Service.
See "systemctl status systemd-journald.service" for details.
Unit systemd-journald.socket entered failed state.
systemd-journald.service failed.
[  OK  ] Started Create Volatile Files and Directories.
         Starting Update UTMP about System Boot/Shutdown...
[  OK  ] Started Update UTMP about System Boot/Shutdown.
[  OK  ] Started Rebuild Hardware Database.
         Starting Update is Completed...
[  OK  ] Started Update is Completed.
[  OK  ] Reached target System Initialization.
[  OK  ] Listening on D-Bus System Message Bus Socket.
[  OK  ] Reached target Sockets.
[  OK  ] Reached target Timers.
[  OK  ] Reached target Basic System.
         Starting Permit User Sessions...
[  OK  ] Reached target Containers.
[  OK  ] Started D-Bus System Message Bus.
         Starting D-Bus System Message Bus...
[  OK  ] Started Permit User Sessions.
Cannot add dependency job for unit dev-hugepages.mount, ignoring: Unit dev-hugepages.mount is masked.
Cannot add dependency job for unit systemd-remount-fs.service, ignoring: Unit systemd-remount-fs.service is masked.
Cannot add dependency job for unit sys-fs-fuse-connections.mount, ignoring: Unit sys-fs-fuse-connections.mount is masked.
         Starting dnf makecache...
         Starting Cleanup of Temporary Directories...
[  OK  ] Reached target Multi-User System.
[  OK  ] Reached target Graphical Interface.
         Starting Update UTMP about System Runlevel Changes...
[  OK  ] Started Cleanup of Temporary Directories.
[  OK  ] Started Update UTMP about System Runlevel Changes.

Comment 1 Pavel Raiskup 2015-10-14 10:00:45 UTC
(In reply to Pavel Raiskup from comment #0)
> Running with '-v /var' results in a lot of failures:

Argh, this should be '-v /run'.  Sorry.

Comment 2 Pavel Raiskup 2015-10-15 08:34:38 UTC
Probably better place to report bug against base image:
https://github.com/fedora-cloud/docker-brew-fedora/issues/24

Comment 3 Dusty Mabe 2017-06-14 12:59:06 UTC
closing this issue. Please open a new issue against either Fedora or RHEL if this is still a problem.


Note You need to log in before you can comment on or make changes to this bug.